org.apache.lucene.analysis.miscellaneous

## Class LimitTokenPositionFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.LimitTokenPositionFilterFactory

-     public class LimitTokenPositionFilterFactory
      extends TokenFilterFactory

  Factory for `LimitTokenPositionFilter`.

       <fieldType name="text_limit_pos" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.LimitTokenPositionFilterFactory" maxTokenPosition="3" consumeAllTokens="false" />
         </analyzer>
       </fieldType>

  The `consumeAllTokens` property is optional and defaults to `false`. See `LimitTokenPositionFilter` for an explanation of its use.

  Since:
    4.3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONSUME_ALL_TOKENS_KEY`
    `static String` | `MAX_TOKEN_POSITION_KEY`

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitTokenPositionFilterFactory(Map<String,String> args)` Creates a new LimitTokenPositionFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_TOKEN_POSITION_KEY

          public static final String MAX_TOKEN_POSITION_KEY

      See Also:
        Constant Field Values

    - #### CONSUME_ALL_TOKENS_KEY

          public static final String CONSUME_ALL_TOKENS_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LimitTokenPositionFilterFactory

          public LimitTokenPositionFilterFactory(Map<String,String> args)

      Creates a new LimitTokenPositionFilterFactory

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.